/**
 * 添加水印钩子
 * @param text  水印文本
 * @param target    要设置水印的元素
 */


export function useWaterMark(text,target) {
    if(!target) return
    const canvas = document.createElement("canvas");
    const ctx = canvas.getContext("2d");
    ctx.font = "18px Arial";
    ctx.rotate((-45 * Math.PI) / 200);
    ctx.fillStyle='#F1F1F1'
    ctx.fillText(text, 30, 200);
    ctx.fillText(text, -40, 100);
    // 将canvas的内容转换为base64编码
    const data = canvas.toDataURL("image/png");

    console.log('水印背景图',data);

    // 将容器的的背景图片设置为生成的base64图片,并平铺
    target.value.style.background = "url(" + data + ") repeat";
}